<?php
/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3points',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') . ' Bonuspunkte',
    'description' => array(
        'de' => 'Bieten Sie Ihren Kunden ein umfassendes Bonussystem an.',
        'en' => ''
    ),
    'lang'        => 'de',
    'thumbnail'   => 'picture.png',
    'version'     => '4.1.1.1',
    'author'      => 'D&sup3; Data Development',
    'url'         => 'http://www.shopmodule.com',
    'email'       => 'support@shopmodule.com',
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart'
    ),
    'extend'      => array(
        'account'      => 'd3/d3points/modules/controllers/d3_account_points',
        'details'      => 'd3/d3points/modules/controllers/d3_details_points',
        'order_main'   => 'd3/d3points/modules/controllers/admin/d3_ordermain_d3points',
        'oxemail'      => 'd3/d3points/modules/models/d3_oxemail_points',
        'oxorder'      => 'd3/d3points/modules/models/d3_oxorder_d3points',
        'review'       => 'd3/d3points/modules/controllers/d3_review_points',
        'oxuser'       => 'd3/d3points/modules/models/d3_oxuser_points',
        'oxviewconfig' => 'd3/d3points/modules/controllers/d3_oxviewconfig_points',
        'oxvoucher'    => 'd3/d3points/modules/models/d3_oxvoucher_points',
    ),

    'files'       => array(
        'd3_d3points_demo'          => 'd3/d3points/controllers/admin/demo.php',
        'd3_d3points_licence'       => 'd3/d3points/controllers/admin/licence.php',
        'd3_d3points_list'          => 'd3/d3points/controllers/admin/list.php',
        'd3_d3points_main'          => 'd3/d3points/controllers/admin/main.php',
        'd3_d3points_maintenance'   => 'd3/d3points/controllers/admin/maintenance.php',
        'd3_d3points_settings'      => 'd3/d3points/controllers/admin/settings.php',
        'd3_d3points_userpoints'    => 'd3/d3points/controllers/admin/userpoints.php',
        'd3_d3points_accountpoints' => 'd3/d3points/controllers/accountpoints.php',
        'd3_cfg_d3pointslog'        => 'd3/d3points/controllers/admin/d3_cfg_d3pointslog.php',
        'd3_cfg_d3pointslog_list'        => 'd3/d3points/controllers/admin/d3_cfg_d3pointslog_list.php',

        'd3_d3points_d3points'      => 'd3/d3points/models/d3points.php',
        'd3_d3points_rating'        => 'd3/d3points/models/rating.php',
        'd3_d3points_utils'         => 'd3/d3points/models/utils.php',
        'd3points_update'           => 'd3/d3points/models/d3points_update.php',
    ),

    'templates'   => array(
        // Admin
        'd3points_demo.tpl'                    => 'd3/d3points/views/admin/tpl/d3points_demo.tpl',
        'd3points_maintenance.tpl'             => 'd3/d3points/views/admin/tpl/d3points_maintenance.tpl',
        'd3points_settings.tpl'                => 'd3/d3points/views/admin/tpl/d3points_settings.tpl',
        'd3points_userpoints.tpl'              => 'd3/d3points/views/admin/tpl/d3points_userpoints.tpl',

        'd3points_userpoints_other.tpl'                   => 'd3/d3points/views/admin/tpl/inc/other.tpl',
        'd3points_userpoints_oxorder.tpl'                 => 'd3/d3points/views/admin/tpl/inc/oxorder.tpl',
        'd3points_userpoints_oxorder_storno.tpl'          => 'd3/d3points/views/admin/tpl/inc/oxorder_storno.tpl',
        'd3points_userpoints_oxrating.tpl'                => 'd3/d3points/views/admin/tpl/inc/oxrating.tpl',
        'd3points_userpoints_oxreview.tpl'                => 'd3/d3points/views/admin/tpl/inc/oxreview.tpl',
        'd3points_userpoints_oxvoucher.tpl'               => 'd3/d3points/views/admin/tpl/inc/oxvoucher.tpl',
        'd3points_userpoints_oxvoucher_storno.tpl'        => 'd3/d3points/views/admin/tpl/inc/oxvoucher_storno.tpl',
        'd3points_userpoints_oxvoucher_storno_rebook.tpl' => 'd3/d3points/views/admin/tpl/inc/oxvoucher_storno_rebook.tpl',


        ## Mail for manuel points from admin
        'd3_email_manuelpoints_html.tpl'       => 'd3/d3points/views/tpl/email/d3_email_manuelpoints_html.tpl',
        'd3_email_manuelpoints_plain.tpl'      => 'd3/d3points/views/tpl/email/d3_email_manuelpoints_plain.tpl',
        'd3_email_manuelpoints_subj.tpl'       => 'd3/d3points/views/tpl/email/d3_email_manuelpoints_subj.tpl',

        // Frontend
        'd3_account_points.tpl'                => 'd3/d3points/views/tpl/d3_account_points.tpl',
        'd3_email_orderpoints_html.tpl'        => 'd3/d3points/views/tpl/email/d3_email_orderpoints_html.tpl',
        'd3_email_orderpoints_plain.tpl'       => 'd3/d3points/views/tpl/email/d3_email_orderpoints_plain.tpl',
        'd3_email_orderpoints_subj.tpl'        => 'd3/d3points/views/tpl/email/d3_email_orderpoints_subj.tpl',
        'd3_email_pointsautovoucher_html.tpl'  => 'd3/d3points/views/tpl/email/d3_email_pointsautovoucher_html.tpl',
        'd3_email_pointsautovoucher_plain.tpl' => 'd3/d3points/views/tpl/email/d3_email_pointsautovoucher_plain.tpl',
        'd3_email_pointsautovoucher_subj.tpl'  => 'd3/d3points/views/tpl/email/d3_email_pointsautovoucher_subj.tpl',
        'd3_email_pointsvoucher_html.tpl'      => 'd3/d3points/views/tpl/email/d3_email_pointsvoucher_html.tpl',
        'd3_email_pointsvoucher_plain.tpl'     => 'd3/d3points/views/tpl/email/d3_email_pointsvoucher_plain.tpl',
        'd3_email_pointsvoucher_subj.tpl'      => 'd3/d3points/views/tpl/email/d3_email_pointsvoucher_subj.tpl',
        'd3_email_remindpoints_html.tpl'       => 'd3/d3points/views/tpl/email/d3_email_remindpoints_html.tpl',
        'd3_email_remindpoints_plain.tpl'      => 'd3/d3points/views/tpl/email/d3_email_remindpoints_plain.tpl',
        'd3_email_remindpoints_subj.tpl'       => 'd3/d3points/views/tpl/email/d3_email_remindpoints_subj.tpl',
        'd3_email_reviewpoints_html.tpl'       => 'd3/d3points/views/tpl/email/d3_email_reviewpoints_html.tpl',
        'd3_email_reviewpoints_plain.tpl'      => 'd3/d3points/views/tpl/email/d3_email_reviewpoints_plain.tpl',
        'd3_email_reviewpoints_subj.tpl'       => 'd3/d3points/views/tpl/email/d3_email_reviewpoints_subj.tpl',
        'd3_email_stornopoints_html.tpl'       => 'd3/d3points/views/tpl/email/d3_email_stornopoints_html.tpl',
        'd3_email_stornopoints_plain.tpl'      => 'd3/d3points/views/tpl/email/d3_email_stornopoints_plain.tpl',
        'd3_email_stornopoints_subj.tpl'       => 'd3/d3points/views/tpl/email/d3_email_stornopoints_subj.tpl',

        //azure
        'd3points_mail_option_azure.tpl'                       => 'd3/d3points/views/azure/tpl/account/inc/mail_option.tpl',
        'd3points_list_type_azure_other.tpl'                   => 'd3/d3points/views/azure/tpl/account/inc/other.tpl',
        'd3points_list_type_azure_oxorder.tpl'                 => 'd3/d3points/views/azure/tpl/account/inc/oxorder.tpl',
        'd3points_list_type_azure_oxorder_storno.tpl'          => 'd3/d3points/views/azure/tpl/account/inc/oxorder_storno.tpl',
        'd3points_list_type_azure_oxrating.tpl'                => 'd3/d3points/views/azure/tpl/account/inc/oxrating.tpl',
        'd3points_list_type_azure_oxreview.tpl'                => 'd3/d3points/views/azure/tpl/account/inc/oxreview.tpl',
        'd3points_list_type_azure_oxvoucher.tpl'               => 'd3/d3points/views/azure/tpl/account/inc/oxvoucher.tpl',
        'd3points_list_type_azure_oxvoucher_storno.tpl'        => 'd3/d3points/views/azure/tpl/account/inc/oxvoucher_storno.tpl',
        'd3points_list_type_azure_oxvoucher_storno_rebook.tpl' => 'd3/d3points/views/azure/tpl/account/inc/oxvoucher_storno_rebook.tpl',

        //flow
        'd3points_mail_option_flow.tpl'                       => 'd3/d3points/views/flow/tpl/account/inc/mail_option.tpl',
        'd3points_list_type_flow_other.tpl'                   => 'd3/d3points/views/flow/tpl/account/inc/other.tpl',
        'd3points_list_type_flow_oxorder.tpl'                 => 'd3/d3points/views/flow/tpl/account/inc/oxorder.tpl',
        'd3points_list_type_flow_oxorder_storno.tpl'          => 'd3/d3points/views/flow/tpl/account/inc/oxorder_storno.tpl',
        'd3points_list_type_flow_oxrating.tpl'                => 'd3/d3points/views/flow/tpl/account/inc/oxrating.tpl',
        'd3points_list_type_flow_oxreview.tpl'                => 'd3/d3points/views/flow/tpl/account/inc/oxreview.tpl',
        'd3points_list_type_flow_oxvoucher.tpl'               => 'd3/d3points/views/flow/tpl/account/inc/oxvoucher.tpl',
        'd3points_list_type_flow_oxvoucher_storno.tpl'        => 'd3/d3points/views/flow/tpl/account/inc/oxvoucher_storno.tpl',
        'd3points_list_type_flow_oxvoucher_storno_rebook.tpl' => 'd3/d3points/views/flow/tpl/account/inc/oxvoucher_storno_rebook.tpl',
    ),

    'blocks'      => array(
        array(
            'template' => 'page/account/inc/account_menu.tpl',
            'block'    => 'account_menu',
            'file'     => 'views/blocks/page/account/inc/account_menu.tpl'
        ),
        array(
            'template' => 'page/account/dashboard.tpl',
            'block'    => 'account_dashboard_col1',
            'file'     => 'views/blocks/page/account/dashbord.tpl'
        ),
        array(
            'template' => 'widget/header/servicebox.tpl',
            'block'    => 'widget_header_servicebox_items',
            'file'     => 'views/blocks/widget/header/servicebox.tpl'
        ),

        array(
            'template' => 'widget/footer/services.tpl',
            'block'    => 'footer_services_items',
            'file'     => 'views/blocks/widget/footer/services.tpl'
        ),

        array(
            'template' => 'order_main.tpl',
            'block'    => 'admin_order_main_form',
            'file'     => 'views/admin/blocks/order_main_form.tpl'
        ),

        array(
            'template' => 'layout/base.tpl',
            'block'    => 'base_style',
            'file'     => 'views/blocks/layout/base_style.tpl'
        ),
    ),
);